package siprp.update.updates;

import com.evolute.module.updater.AbstractUpdate;

/**
 * 
 * @author tsimao
 * 
 */
public class V8_3_To_V8_4 extends AbstractUpdate
{
	public V8_3_To_V8_4()
	{
		super(8.3,8.4,"Adicionado analisador [prestador] por TrabalhadorEcd");
	}

	@Override
	public void doUpdate() throws Exception
	{
		com.evolute.utils.sql.Update update = new com.evolute.utils.sql.Update( "ALTER TABLE trabalhadores_ecd ADD COLUMN analisador_id int4;" + "ALTER TABLE trabalhadores_ecd ADD CONSTRAINT analisador_id_fkey FOREIGN KEY(analisador_id) REFERENCES prestadores(id);" );
		getExecuter().executeQuery( update );
	}
	
}
